using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Evolving.TrueView;

namespace TestApplication
{
    public partial class CustomViewForm : Form
    {
        public CustomViewForm()
        {
            InitializeComponent();
        }

        private void CustomViewForm_Load(object sender, EventArgs e)
        {
            this.DoubleBuffered = true;
            this.SetStyle(ControlStyles.UserPaint | ControlStyles.AllPaintingInWmPaint | ControlStyles.OptimizedDoubleBuffer, true);

            this.BackgroundImageLayout = ImageLayout.Stretch;
            this.BackgroundImage = Evolving.TrueView.UI.FadeRenderer.GetSimple(1, this.Height,
                                                                               SystemColors.MenuHighlight, SystemColors.Window,
                                                                               System.Drawing.Drawing2D.LinearGradientMode.Vertical);

            this.GoButton.Click += new EventHandler(GoButton_Click);
        }

        void GoButton_Click(object sender, EventArgs e)
        {
            this.webBrowser1.Navigate(this.AddressLabel.Text);
        }

    }
}
